Retrieve User ID from Email Address

This endpoint retrieves user ID information based on their email address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/services/v2/user/{email-address}/user.json

- URL (Path/Query) Params
No query params needed; the email address is already a path param.

- Data Params
No data params

Sample Request

curl
-X GET
-u answerhub:test123
-H "Accept:application/json"
-H "Content-Type:application/json" "https://apidocs.cloud.answerhub.com/services/v2/users/{email-address}/user.json"-v

curl 
-X GET 
-u answerhub:test123 
-H "Accept:application/json"
-H "Content-Type:application/json" "https://apidocs.cloud.answerhub.com/services/v2/user/[email protected]/user.json" -v

Expected Responses

- Success Response:
Code: 200 

- Error Response:
Code: 422 UNPROCESSABLE ENTRY 

🚧

For Permissions, Requirements, and More Detailed Information:

Reference the GDPR Plugin Docs in the Non-Reference portion of the documentation.

Sample Response

Successful Response:

{
    "id": 11,
    "type": "user",
    "creationDate": 1545231253000,
    "creationDateFormatted": "12/19/2018 02:54 PM",
    "modificationDate": 1551127487000,
    "username": "answerhub",
    "slug": "answerhub",
    "gold": 0,
    "silver": 0,
    "bronze": 3,
    "reputation": 2,
    "moderator": false,
    "superuser": false,
    "avatar": "http://apidocs.cloud.answerhub.com/users/11/photo/view.html",
    "postCount": 4,
    "followerCount": 0,
    "followCount": 0,
    "userFollowCount": 0,
    "active": true,
    "suspended": false,
    "deactivated": false,
    "groups": [
        {
            "id": "3",
            "creationDate": 1542778947000,
            "creationDateFormatted": "11/21/2018 05:42 AM",
            "modificationDate": 1550610500000,
            "name": "Users"
        }
    ]
}

Error Response:

{ error: "Invalid email address" }
Path Params
string
required
Defaults to [email protected]
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json